package com.dji.sdk.cloudapi.property;

import com.dji.sdk.cloudapi.control.CommanderFlightModeEnum;
import com.dji.sdk.common.BaseModel;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author sean
 * @version 1.7
 * @date 2023/10/20
 */
public class DockDroneCommanderFlightMode extends BaseModel {

    @JsonProperty("commander_flight_mode")
    private CommanderFlightModeEnum commanderFlightMode;

    public DockDroneCommanderFlightMode() {
    }

    @Override
    public String toString() {
        return "DockDroneCommanderFlightMode{" +
                "commanderFlightMode=" + commanderFlightMode +
                '}';
    }

    public CommanderFlightModeEnum getCommanderFlightMode() {
        return commanderFlightMode;
    }

    public DockDroneCommanderFlightMode setCommanderFlightMode(CommanderFlightModeEnum commanderFlightMode) {
        this.commanderFlightMode = commanderFlightMode;
        return this;
    }
}
